Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 766225 - dev-db/postgresql-10.15: compilation failure with new ICU (pg_collation.c:47:1: error: conflicting types for ‘CollationCreate’)
Summary: dev-db/postgresql-10.15: compilation failure with new ICU (pg_collation.c:47:...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: PgSQL Bugs
URL: https://www.postgresql-archive.org/BU...
Whiteboard:
Keywords:
: 766629 (view as bug list)
Depends on: CVE-2021-20229, CVE-2021-3393
Blocks:
  Show dependency tree
 
Reported: 2021-01-20 00:31 UTC by Evert
Modified: 2021-02-27 10:49 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (postgresql-10.15-build.log,267.84 KB, text/x-log)
2021-01-20 00:31 UTC, Evert
Details
emerge --info =dev-db/postgresql-10.15::gentoo (postgresql-10.15-info.txt,7.35 KB, text/plain)
2021-01-20 00:32 UTC, Evert
Details
emerge -pqv =dev-db/postgresql-10.15::gentoo (postgresql-10.15-pretend.txt,260 bytes, text/plain)
2021-01-20 00:32 UTC, Evert
Details
Trivial patch for fix (postgresql-10.15-bool-decollision.patch,315 bytes, patch)
2021-02-09 20:58 UTC, Marco Sirabella
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evert 2021-01-20 00:31:31 UTC
Created attachment 683782 [details]
build.log

dev-db/postgresql-10.15 compilation failure
last succesfull build was on 2020-12-10
see attachments for info/pretend/build.log
Comment 1 Evert 2021-01-20 00:32:02 UTC
Created attachment 683785 [details]
emerge --info =dev-db/postgresql-10.15::gentoo
Comment 2 Evert 2021-01-20 00:32:58 UTC
Created attachment 683788 [details]
emerge -pqv =dev-db/postgresql-10.15::gentoo
Comment 4 Sam James archtester gentoo-dev Security 2021-02-09 19:42:00 UTC
*** Bug 766629 has been marked as a duplicate of this bug. ***
Comment 5 Marco Sirabella 2021-02-09 20:58:15 UTC
Created attachment 686211 [details, diff]
Trivial patch for fix

And a trivial patch hinted to by upstream's bug report to fix this issue
Comment 6 Evert 2021-02-10 17:58:03 UTC
Compiles back again, with the trivial patch :)
Comment 7 Larry the Git Cow gentoo-dev 2021-02-21 14:21:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5fd6830195d614ec11bbf6465f170d0086ae4ea

commit b5fd6830195d614ec11bbf6465f170d0086ae4ea
Author:     Aaron W. Swenson <titanofold@gentoo.org>
AuthorDate: 2021-02-21 14:15:27 +0000
Commit:     Aaron W. Swenson <titanofold@gentoo.org>
CommitDate: 2021-02-21 14:15:27 +0000

    dev-db/postgresql: Security Bump
    
    Bump to 13.2, 12.6, 11.11, 10.16, 9.6.21, and 9.5.25. Addresses vulnerabilities:
    CVE-2021-3393 and CVE-2021-20229.
    
    Includes ICU68 fix, and extra workaround patch for 10.16 (thanks Marco
    Sirabella).
    
    Bug: https://bugs.gentoo.org/771942
    Bug: https://bugs.gentoo.org/766225
    Signed-off-by: Aaron W. Swenson <titanofold@gentoo.org>

 dev-db/postgresql/Manifest                         |   6 +
 .../postgresql/files/postgresql-10.0-icu68-2.patch |  11 +
 dev-db/postgresql/postgresql-10.16.ebuild          | 461 ++++++++++++++++++++
 dev-db/postgresql/postgresql-11.11.ebuild          | 458 ++++++++++++++++++++
 dev-db/postgresql/postgresql-12.6.ebuild           | 458 ++++++++++++++++++++
 dev-db/postgresql/postgresql-13.2.ebuild           | 462 ++++++++++++++++++++
 dev-db/postgresql/postgresql-9.5.25.ebuild         | 476 ++++++++++++++++++++
 dev-db/postgresql/postgresql-9.6.21.ebuild         | 481 +++++++++++++++++++++
 8 files changed, 2813 insertions(+)
Comment 8 Aaron W. Swenson gentoo-dev 2021-02-27 10:49:01 UTC
Closed with commit 0cb57f5044dc87248afd6f5f40794d16bd5c649c